Subject: Re: [PATCH net] octeontx2-pf: avoid double free of pool->stack on AQ init failure

From: Greg KH <[email-masked]>
Date: Mon, 18 May 2026 11:35:22 +0200

On Mon, May 18, 2026 at 11:23:30AM +0200, Markus Elfring wrote:
> …
> > Set pool->stack to NULL immediately after the local free so the shared
> …
>                                                  so that?
> 
> How do you think about to avoid a bit of duplicate source code
> in affected function implementations?
> https://elixir.bootlin.com/linux/v7.1-rc3/source/drivers/net/ethernet/marvell/octeontx2/nic/cn20k.c#L615-L629
> https://elixir.bootlin.com/linux/v7.1-rc3/source/drivers/net/ethernet/marvell/octeontx2/nic/otx2_common.c#L1478-L1492
> 
> 
> > The bug was first flagged by an experimental analysis tool we are
> > developing for kernel memory-management bugs while analyzing
> > v6.13-rc1. The tool is still under development and is not yet publicly
> > available. Manual inspection confirms that the bug is still present in
> > v7.1-rc3.
> 
> Under which circumstances will the mentioned software revision gap
> be adjusted accordingly?
> 
> Regards,
> Markus
> 

Hi,

This is the semi-friendly patch-bot of Greg Kroah-Hartman.

Markus, you seem to have sent a nonsensical or otherwise pointless
review comment to a patch submission on a Linux kernel developer mailing
list.  I strongly suggest that you not do this anymore.  Please do not
bother developers who are actively working to produce patches and
features with comments that, in the end, are a waste of time.

Patch submitter, please ignore Markus's suggestion; you do not need to
follow it at all.  The person/bot/AI that sent it is being ignored by
almost all Linux kernel maintainers for having a persistent pattern of
behavior of producing distracting and pointless commentary, and
inability to adapt to feedback.  Please feel free to also ignore emails
from them.

thanks,

greg k-h's patch email bot